> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dfns.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List Vault Balances

> Lists a vault's balance entries.

#### Authentication

✅ Organization User (`CustomerEmployee`)\
❌ Delegated User (`EndUser`)\
✅ Service Account

#### Required Permissions

`Vaults:Read`: Always required.


## OpenAPI

````yaml /openapi.yaml get /vaults/{vaultId}/balances
openapi: 3.1.0
info:
  version: 1.910.1
  title: Dfns
servers:
  - url: https://api.dfns.io
    description: Default - Europe
  - url: https://api.uae.dfns.io
    description: UAE
  - url: https://api.dfns.ninja
    description: <Deprecated> Staging
security: []
paths:
  /vaults/{vaultId}/balances:
    get:
      tags:
        - Vaults
      summary: List Vault Balances
      description: Lists a vault's balance entries.
      parameters:
        - schema:
            type: string
            minLength: 1
            maxLength: 64
            pattern: ^vlt-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
            description: Vault id.
          required: true
          description: Vault id.
          name: vaultId
          in: path
        - schema:
            type: integer
            minimum: 1
            maximum: 500
            default: 50
            description: Maximum number of items to return.
          required: false
          description: Maximum number of items to return.
          name: limit
          in: query
        - schema:
            type: string
            minLength: 1
            description: >-
              Opaque token used to retrieve the next page. Returned as
              `nextPageToken` from the previous request.
          required: false
          description: >-
            Opaque token used to retrieve the next page. Returned as
            `nextPageToken` from the previous request.
          name: paginationToken
          in: query
        - schema:
            type: string
            enum:
              - Available
              - Outgoing
              - Fee
              - Incoming
              - Locked
              - Quarantined
            description: Vault balance kind.
          required: false
          description: Vault balance kind.
          name: kind
          in: query
        - schema:
            type: string
          required: false
          name: network
          in: query
        - schema:
            type: string
          required: false
          name: tid
          in: query
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      $ref: '#/components/schemas/VaultBalanceEntry'
                  nextPageToken:
                    type: string
                required:
                  - items
                additionalProperties: false
      security:
        - authenticationToken: []
components:
  schemas:
    VaultBalanceEntry:
      type: object
      properties:
        id:
          type: string
        kind:
          type: string
          enum:
            - Available
            - Outgoing
            - Fee
            - Incoming
            - Locked
            - Quarantined
          description: Vault balance kind.
        network:
          type: string
        tid:
          type: string
        amount:
          type: string
        transferId:
          type: string
        quarantineId:
          type: string
      required:
        - id
        - kind
        - network
        - tid
        - amount
      additionalProperties: false
      description: Vault balance entry object.
  securitySchemes:
    authenticationToken:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        **Bearer Token:** Used to authenticate API requests.

        More details how to generate the token: [Authentication
        flows](https://docs.dfns.co/api-reference/auth/login-flows)

````